import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.userDeveloperPreferences.update();
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/settings/developer-preferences/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"terraform": {
"showCode": true
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/settings/developer-preferences/user"
payload = { "terraform": { "showCode": True } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({terraform: {showCode: true}})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/settings/developer-preferences/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"userDeveloperPreferences": {
"terraform": {
"showCode": true
}
}
}Update
Update modifies the calling user’s developer preferences. See the service-level comment for cluster-merge semantics.
import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.userDeveloperPreferences.update();
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Body
The UpdateUserDeveloperPreferencesRequest message.
TerraformPreferences groups the user's preferences for the "Show Terraform code" feature.
Show child attributes
Show child attributes
Response
Successful response
The UpdateUserDeveloperPreferencesResponse message.
UserDeveloperPreferences holds a user's developer-tooling preferences, organized into per-feature clusters.
Show child attributes
Show child attributes
Was this page helpful?